package com.jianshui.system.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 全电登录结果信息对象 invoice_all_login_result
 * 
 * @author jianshui
 * @date 2023-08-14
 */
public class InvoiceAllLoginResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 响应码 */
    @Excel(name = "响应码")
    private String code;

    /** 响应数据 */
    @Excel(name = "响应数据")
    private String data;

    /** 返回信息 */
    @Excel(name = "返回信息")
    private String msg;

    /** 响应结果 true成功 false失败 */
    @Excel(name = "响应结果 true成功 false失败")
    private Integer success;

    /** 流水号 */
    @Excel(name = "流水号")
    private String trace;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setData(String data) 
    {
        this.data = data;
    }

    public String getData() 
    {
        return data;
    }
    public void setMsg(String msg) 
    {
        this.msg = msg;
    }

    public String getMsg() 
    {
        return msg;
    }
    public void setSuccess(Integer success) 
    {
        this.success = success;
    }

    public Integer getSuccess() 
    {
        return success;
    }
    public void setTrace(String trace) 
    {
        this.trace = trace;
    }

    public String getTrace() 
    {
        return trace;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("data", getData())
            .append("msg", getMsg())
            .append("success", getSuccess())
            .append("trace", getTrace())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
